import sqlite3
from sqlite3 import Error

	
def loeschen (wert):
	befehl = """DELETE FROM Bohrmaschinen WHERE Artikelnummer = ?;"""
	c.execute(befehl, wert)
	db.commit()

try:
	db = sqlite3.connect("geburtstag.db")
	c = db.cursor()
	print ("Welcher Gast soll gelöscht werden?")
	vorname = input("Vorname: ")
	nachname = input("Nachname: ")
	werte = (vorname, nachname)
	befehl = """DELETE FROM Gaeste WHERE Vorname = ?
		AND Nachname = ?;"""
	c.execute(befehl, werte)
	db.commit()
except Error as e:
	print(e)
finally:
	db.close()
	
	

