from tkinter import *
import sqlite3
from sqlite3 import Error

class Aendern(Button):
	
	def aendern (self):
		
		class EingabeButton (Button):
			
			def aktion1 (self):
				
				try:
					db = sqlite3.connect("baumarkt.db")
					befehl = """CREATE TABLE IF NOT EXISTS Bohrmaschinen (
								Artikelnummer INTEGER PRIMARY KEY,
								Leistung INTEGER,
								Marke TEXT,
								Preis REAL,
								Anzahl INTEGER
							);"""
					c = db.cursor()
					c.execute(befehl)
					
					befehl = """SELECT COUNT(*) from Bohrmaschinen
						WHERE Artikelnummer = ?;"""
					c.execute(befehl, (eingabe1.get(),))
					vorhanden = c.fetchone()
					
					fenster2 = Tk()
					
					
					if vorhanden[0] == 0:
					
						fenster2.geometry("300x100")
						fenster2.title("Produkt nicht gefunden!")
						rahmen2 = Frame(fenster2, relief="ridge", borderwidth=5)
						rahmen2.pack(fill="both", expand = 1)
						
						label2 = Label(rahmen2, text="Produkt nicht im Sortiment enthalten!")
						label2.pack(expand = 1)
						
						button2 = Button(rahmen2,text="OK", command=fenster2.destroy)
						button2.pack(side = "bottom", pady = 5)
						fenster.destroy()
						fenster2.mainloop()
					
					else:
						
						befehl = """UPDATE Bohrmaschinen SET 
						Preis = ? WHERE Artikelnummer = ?;"""
						werte = (eingabe2.get(), eingabe1.get())	
						
						c.execute(befehl, werte)
						db.commit()
						
						fenster2.geometry("300x100")
						fenster2.title("Preis geändert!")
						rahmen2 = Frame(fenster2, relief="ridge", borderwidth=5)
						rahmen2.pack(fill="both", expand = 1)
						
						label2 = Label(rahmen2, text="Der Preis wurde "+
						"erfolgreich angepasst!")
						label2.pack(expand = 1)
						
						button2 = Button(rahmen2,text="OK", command=fenster2.destroy)
						button2.pack(side = "bottom", pady = 5)
						
						fenster.destroy()
						fenster2.mainloop()
						
				except Error as e:
					print(e)
				finally:
					db.close()
		
		fenster = Tk()
		fenster.geometry("500x400")
		fenster.title("Preis ändern")
		rahmen = Frame(fenster, relief="ridge", borderwidth=5)
		rahmen.pack(fill="both", expand = 1)
		
		label = Label(rahmen, text = "Preis für ein Produkt ändern:")
		label.config(font=("Arial", 14, "bold"))
		label.place(x = 80, y = 30)
		
		label1 = Label(rahmen, text = "Artikelnummer:")
		label1.place(x = 100, y = 100)
		eingabe1 = Entry(rahmen, bd = 2, width = 22)
		eingabe1.place(x = 200, y = 100)
		
		label2 = Label(rahmen, text = "Neuer Preis:")
		label2.place(x = 100, y = 150)
		eingabe2 = Entry(rahmen, bd = 2, width = 22)
		eingabe2.place(x = 200, y = 150)
		
		button = EingabeButton(rahmen,text="Eingabe")
		button["command"] = button.aktion1
		button.place(x = 180, y = 220)
		
		fenster.mainloop()
