import sqlite3
from sqlite3 import Error

def neueZeile (werte):
	befehl = """ INSERT INTO Bohrmaschinen (Artikelnummer, Leistung, Marke, Preis) 
		VALUES (?, ?, ?, ?); """
	c.execute(befehl, werte)
	db.commit()


try:
	db = sqlite3.connect("datenbank.db")
	print("Datenbank erfolgreich geöffnet.")
	befehl = """CREATE TABLE IF NOT EXISTS Bohrmaschinen (
				Artikelnummer INTEGER PRIMARY KEY,
				Leistung INTEGER,
				Marke TEXT,
				Preis REAL
			);"""
	c = db.cursor()
	c.execute(befehl)
	neueZeile((10010, 850, "Bosch", 59.99))
	neueZeile((10014, 1000, "Makita", 54.99))
	neueZeile((10003, 600, "Metabo", 39.99))
except Error as e:
	print(e)
finally:
	db.close()
	
	

